Page 1 of 4 123 ... LastLast
Results 1 to 10 of 33

Thread: Please, some R200 love!

  1. #1
    Join Date
    Dec 2009
    Location
    Italy
    Posts
    176

    Unhappy Please, some R200 love!

    I have and old Radeon 9000 AGP on a Pentium 3 system. It always worked well with the open drivers, also for 3D.
    But the current situation is really awful. I'm using linux 2.6.34.1, mesa, libdrm and xserver-xorg-video-ati from git. With KMS I get working 2D and 3D, but everything is slow and sluggish (even the simplest games are not playable and 2D operations in KDE are a real pain). If I boot with radeon.modeset=0, I get acceptable 2D performance but software only 3D (0.3 FPSin most things and no desktop effects). But no error is reported in the logs and glxinfo says direct rendering is enabled. So I'm left in an unusuable state. Since I know what this card can do (and did), I really hope some dev will give some love to this old but still useful cards! Thanks

  2. #2
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,458

    Default

    That doesn't sound right. Might be worth either going onto IRC or filing a bug, focusing on "SW only rendering with UMS" or something like that.

  3. #3
    Join Date
    Sep 2007
    Posts
    997

    Default

    Quote Originally Posted by kbios View Post
    I have and old Radeon 9000 AGP on a Pentium 3 system. It always worked well with the open drivers, also for 3D.
    But the current situation is really awful. I'm using linux 2.6.34.1, mesa, libdrm and xserver-xorg-video-ati from git. With KMS I get working 2D and 3D, but everything is slow and sluggish (even the simplest games are not playable and 2D operations in KDE are a real pain). If I boot with radeon.modeset=0, I get acceptable 2D performance but software only 3D (0.3 FPSin most things and no desktop effects). But no error is reported in the logs and glxinfo says direct rendering is enabled. So I'm left in an unusuable state. Since I know what this card can do (and did), I really hope some dev will give some love to this old but still useful cards! Thanks
    Same here.

    I have a laptop with a RV250 aka Mobility Radeon 9000 card.

    ATI isn't dedicated to Linux support. It's an afterthought. This applies to both the open source and binary drivers. This farce that ATI is devoted to supporting Linux needs to be exposed. I'm tired of each revision of a distro having shoddy support. HAL/xorg changes haven't been taken into consideration enough. It's expected that each user is a developer or that they can do the work.

    I tried glxgears and I'm getting barely over 100FPS. The other problem with ATI is they only OFFICIALLY support the older more established distros (binary drivers) and for the open source, they seem to only do rudimentary support which needs to be utilized by more advanced 'tweaking.' They do the min. and the user has to do the rest.

    Go for a Nvidia card next time. It's closed but less headache and when it's working, more features.

  4. #4
    Join Date
    Jun 2009
    Posts
    2,929

    Default

    And make sure you buy Nvidia Optimus hardware when you pick your laptop, that will rock your socks off. Official support instead of afterthought and farce.

  5. #5
    Join Date
    Sep 2007
    Posts
    997

    Default

    Quote Originally Posted by pingufunkybeat View Post
    And make sure you buy Nvidia Optimus hardware when you pick your laptop, that will rock your socks off. Official support instead of afterthought and farce.
    Ouch, that hurts...

    Well, smarty, how many laptops have RV200, R300 etc. etc. in their laptops and how many have Nvidia Optimus cards in theirs?!? I'll take a wild guess and say the ATI laptops are more plentiful. So, there's tons of examples to test on. Yet, these OLDER cards STILL aren't very well supported. The OP's post is yet another proof. But, yeah, I know you're a Nvidia 'hater' and love ATI (in Linux) to bits so I'm sure any valid point will just be lost on you. I am not 'pro-Nvidia', I just don't see any other choice if you want a dedicated card.

    Btw, I already have a laptop so if I could sell it, I would. But, for now, I'm stuck with one with an ATI card. I think I'm allowed to state complaints about all the tweaking one has to do to get these older cards to work. Like the OP probably did, I installed the radeon driver, the 'firmware-linux' package and I guess there's tons more tasks to do to get 3D?

  6. #6
    Join Date
    Jun 2009
    Posts
    2,929

    Default

    Unfortunately, AGP cards in particular are extremely difficult to support, and most of the trouble people have when fixing bugs relates to AGP cards. It sucks for people with such (usually older) cards, but it simply is difficult.

    I just don't think it's particularly fair to keep on crapping on ATi like you have been doing, while at the same time championing the company which openly said they have no intention of ever supporting Linux on their latest laptop hardware.

    And for the record, I'm not an "nvidia hater", I'm a lover of open drivers and hater of blobs nouveau rocks, and nvidia would score many points with the community if they provided the nouveau team with specs.

  7. #7
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,458

    Default

    Quote Originally Posted by Panix View Post
    Yet, these OLDER cards STILL aren't very well supported.
    IIRC your original complaint was that the support used to be there but on more recent distros it wasn't working as well. The r2xx core is 9 years old; developer focus on that generation probably peaked 6 years ago.

    Quote Originally Posted by Panix View Post
    Like the OP probably did, I installed the radeon driver, the 'firmware-linux' package and I guess there's tons more tasks to do to get 3D?
    No, assuming you also have appropriate versions of libdrm, kernel driver and mesa that should be enough to make it work. Distro packagers normally take care of including compatible sets of driver components. That said, the driver stack already has dozens (hundreds ?) of system-specific quirks and may need something for your system as well.

    Did you ever try running a vanilla install of Ubuntu 9.04 with the open drivers as a reference point ?

  8. #8
    Join Date
    Oct 2009
    Posts
    2,110

    Default

    Well... a radeon 9000 is quite ancient. It was obsolete long before AMD acquired ati, and the current open source push was initiated by AMD, particularly in preparation for FUSION products (which was one of the big objectives of acquiring ati to begin with). Though obviously a few people still have R200's, the fact that they are pushing a DECADE OLD and have mostly (by far) been retired, really makes it a weird idea to put tons of dev resources into their support.

    Particularly, the reason why R300's are being supported still, despite being pretty old themselves, is probably because they just came along for the ride with the R500's, which are only 4-5 years old.

    You know, at what point do you drop support for 8088 CPU from the linux kernel altogether? And sure, despite how ancient these things are, there are still a few kicking around -- I think I've still got a couple of them myself. Wouldn't even dream of powering them on though

  9. #9
    Join Date
    Sep 2007
    Posts
    997

    Default

    So, what you're actually saying is I'm penalized for using/buying an older laptop WITH an OLDER ATI CARD? To the rest, no comment...

  10. #10
    Join Date
    Dec 2009
    Location
    Italy
    Posts
    176

    Default

    So I went to IRC and they suggested me to file a bug. Here it is: https://bugs.freedesktop.org/show_bug.cgi?id=29322
    In the meantime, I've discovered that some simple 3D apps seem to get hardware acceleration with UMS: glxgears and openbve. But they are still very slow (12fps in openbve).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •